Skip to main content
GET
List listings

Authorizations

Authorization
string
header
required

Organization API key using Authorization: Bearer sk_....

Query Parameters

filter
object

Fields encoded with qs bracket notation.

skip
number
default:0

Pagination offset.

Required range: x >= 0
Example:

0

take
number
default:20

Pagination limit.

Required range: 1 <= x <= 100
Example:

20

Response

Listings list

id
string
required

Unique identifier of the listing.

Example:

"lis_1234567890abcdefghij"

createdAt
required

When the listing was created.

Example:

"2025-01-01T00:00:00.000Z"

updatedAt
required

When the listing was last updated.

Example:

"2025-01-01T00:00:00.000Z"

organizationId
string
required

Identifier of the owning organization.

Example:

"org_1234567890abcdefghij"

name
string | null
required

Optional display name of the listing.

Example:

"Inscripción 2025"

description
string | null
required

Optional description of the listing.

Example:

null

url
string
required

Public URL slug for the payment listing page.

Example:

"inscripcion-2025"

private
boolean
required

Whether the listing is restricted to invited customers.

Example:

false

active
boolean
required

Whether the listing is currently accepting payments.

Example:

true

recurrentDetailId
string | null
required

Identifier of the recurrence configuration, if this is a subscription listing.

templateId
string | null
required

Identifier of the subscription template used by this listing, if any.

Example:

null

onlyAutomaticCollection
boolean
required

Whether this listing requires automatic payment collection.

Example:

false

items
object[]
required

Products or services offered in this listing.

Example:
form
object | null

Optional data collection form shown to the payer.

Example:

null

recurrentDetail
object | null

Recurrence configuration when this is a subscription listing.

Example:

null